const twigPkg = require('twig/twig.js')
const { extendFilter, extendFunction, twig: _twig, cache } = twigPkg
const error = require('../error.js')

module.exports = (twigParameters, parameters, element) => {
  let toReturn = ''
  const template = _twig(twigParameters)
  try {
    toReturn = template.render({ ...parameters, builder: aptugocli })
  } catch(e) {
    const theError = e.exitCode ? e : { exitCode: 165, message: `Problems building ${element.value}`, element: element, type: 'element', error: e }
    error(theError, true)
  }
  return toReturn
}
