let client

module.exports = {
  connect: (connectionString) => {
    return new Promise((resolve, reject) => {
      const { MongoClient } = require('mongodb')
      client = new MongoClient(connectionString)
      client.connect(function(err, db) {
        if (err) {
          reject(err)
        } else {
          resolve(db.db())
        }
      })
    })
  },
  close: () => {
    client.close()
  },
  insertRows: (connection, tableName, data) => {
    connection.collection(tableName).insertMany(data, function(err, res) {
      if (err) throw err
      console.log(`${command.data.length} documents inserted`)
    })
  }
}
