const fs = require('fs')
const path = require('path')
const templates = require('../templates.js')
const fsLoadAndParseFile = templates.fsLoadAndParseFile

module.exports = (unique_id, accumulated = []) => {
  const getCascadingTree = (unique_id, accumulated = []) => {
    if (aptugocli.plain[unique_id]) {
      if (aptugocli.plain[unique_id].parent && aptugocli.plain[unique_id].parent !== 'not set') {
        accumulated.push(aptugocli.plain[unique_id].parent)
        accumulated = getCascadingTree(aptugocli.plain[unique_id].parent, accumulated)
      } else {
        if (aptugocli.plain[unique_id].parent === 0) {
          throw({
            exitCode: 568,
            element: aptugocli.plain[unique_id],
            type: 'element',
            error: 'Parent is set to 0, which is weird',
            message:`Bad parenthood for element ${aptugocli.plain[unique_id].name} (just go and modify it)`
          })
        }
      }
    } else {
      if (aptugocli.plain[unique_id].parent === 0) {
        return({
          exitCode: 567,
          data: aptugocli.plain[unique_id],
          message:`Bad parenthood for element`
        })
      }
    }
    return accumulated
  }

  const gct = getCascadingTree(unique_id, accumulated = [])
  return gct
}
